<?xml version="1.0" encoding="UTF-8"?>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns="http://purl.org/rss/1.0/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:syn="http://purl.org/rss/1.0/modules/syndication/" xmlns:admin="http://webns.net/mvcb/">
  <channel rdf:about="http://blog.gmane.org/gmane.comp.security.virus.clamav.devel">
    <title>gmane.comp.security.virus.clamav.devel</title>
    <link>http://blog.gmane.org/gmane.comp.security.virus.clamav.devel</link>
    <description/>
    <syn:updatePeriod>hourly</syn:updatePeriod>
    <syn:updateFrequency>1</syn:updateFrequency>
    <syn:updateBase>1901-01-01T00:00+00:00</syn:updateBase>
    <items>
      <rdf:Seq>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3775"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3773"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3770"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3767"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3766"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3757"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3751"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3750"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3744"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3740"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3734"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3731"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3730"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3728"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3725"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3722"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3718"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3714"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3712"/>
        <rdf:li rdf:resource="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3710"/>
      </rdf:Seq>
    </items>
    <image rdf:resource="http://gmane.org/img/gmane-25t.png"/>
    <textinput rdf:resource=""/>
  </channel>
  <image rdf:about="http://gmane.org/img/gmane-25t.png">
    <title>Gmane</title>
    <url>http://gmane.org/img/gmane-25t.png</url>
    <link>http://gmane.org</link>
  </image>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3775">
    <title>Test suit cannot fork process for debugging withclamav.</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3775</link>
    <description>&lt;pre&gt;Hello All,

       I try to debugging test suite of  Clamav. Test suite writes for 
fork process in order to debug code. First step, Program started by 
libtools that declare the gdb debug tool. After run programs. It's 
represents error as below. I  debug "fork_setup()" function in the main 
function but show error SIGSEGV. It's show segmentation fault. How i can 
debug a source code in another way?  That's is source code of test suite 
for fork process[https://gist.github.com/2651305].

$ ./libtool --mode=execute gdb -q 
~/Clamav/unit_tests_checkfs/tests/.libs/check_cli_load
Reading symbols from 
/san01/home/chatsiri/workspacecpp/Clamav/unit_tests_checkfs/tests/.libs/check_cli_load...done.
(gdb) b 179
Breakpoint 1 at 0x401147: file check_cli_load.c, line 179.
(gdb) run check_cli_load
Starting program: 
/san01/home/chatsiri/workspacecpp/Clamav/unit_tests_checkfs/tests/.libs/check_cli_load 
check_cli_load
[Thread debugging using libthread_db enabled]

Breakpoint 1, main () at check_cli_load.c:180
warning: Source file is more recent than executable.
180         fork_setup();
(gdb) n
Running suite(s): matchers

Program received signal SIGSEGV, Segmentation fault.
0x000000392d879cb7 in strncmp () from /lib64/libc.so.6

Best Regards,
Chatsiri Rattana.
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>chatsiri</dc:creator>
    <dc:date>2012-05-10T07:20:33</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3773">
    <title>Why  Clamav programs add certificate type x509?</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3773</link>
    <description>&lt;pre&gt;Hello All,

     I debug crtmgr for monitoring scan virus step, but found clamav add 
certificate to programs. Why programs add certificate type x509?. My 
view, It's identify signature from database extension .cvd.  I copy 
logging to e-mail. You should see below.

LibClamAV debug: crtmgr_add: added cert 
s:29dbd4b88f785f33419287e1af4650e177a46fc0 
i:cacacacacacacacacacacacacacacacacacacaca 
n:C95C599EF21B8A0114B410DF0440DBE357AF6A45408F840C0BD133D9D911CFEE02581F25F72AA84405AAEC031F787F9E93B99A00AA237DD6AC85A26345C77227CCF44CC67571D239EF4F42F075DF0A90C68E206F980FF8AC235F702936A4C986E7B19A20CB53A585E73DBE7D9AFE244533DC7615ED0FA271644C652E816845A7 
e:10001 0-&amp;gt;2147483647 cert code

Thank you,
Chatsiri Rattana
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>chatsiri</dc:creator>
    <dc:date>2012-05-01T05:09:54</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3770">
    <title>[PATCH] Add an autogen.sh for buildstrapping thebuild system</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3770</link>
    <description>&lt;pre&gt;This patch add a simple autogen.sh for buildstrapping
the gnu build system. It also check the minimun version
of the gnu buildtool necessary for clamav.

Signed-off-by: Elia Pinto &amp;lt;gitter.spiros&amp;lt; at &amp;gt;gmail.com&amp;gt;
---
 Makefile.am   |    2 +-
 README-prereq |   10 +++
 autogen.sh    |  200 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 211 insertions(+), 1 deletions(-)
 create mode 100644 README-prereq
 create mode 100755 autogen.sh

diff --git a/Makefile.am b/Makefile.am
index 3970e2e..b3c02a5 100644
--- a/Makefile.am
+++ b/Makefile.am
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -19,7 +19,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 ACLOCAL_AMFLAGS=-I m4
 
 SUBDIRS = libltdl libclamav clamscan clamd clamdscan freshclam sigtool clamconf database docs etc clamav-milter test clamdtop clambc unit_tests
-EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in libclamunrar_iface/Makefile.am libclamunrar_iface/Makefile.in UPGRADE COPYING.bzip2 COPYING.lzma COPYING.unrar COPYING.LGPL COPYING.llvm COPYING.file COPYING.zlib COPYING.getopt COPYING.regex COPYING.sha256 platform.h.in clamdscan/clamdscan.map win32
+EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in libclamunrar_iface/Makefile.am libclamunrar_iface/Makefile.in UPGRADE COPYING.bzip2 COPYING.lzma COPYING.unrar COPYING.LGPL COPYING.llvm COPYING.file COPYING.zlib COPYING.getopt COPYING.regex COPYING.sha256 platform.h.in clamdscan/clamdscan.map win32 README-prereq
 
 bin_SCRIPTS=clamav-config
 
diff --git a/README-prereq b/README-prereq
new file mode 100644
index 0000000..71169fe
--- /dev/null
+++ b/README-prereq
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -0,0 +1,10 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
+This gives some notes on obtaining the tools required for development.
+I.E. the tools checked for by the bootstrap script and include:
+
+- Autoconf  &amp;lt;http://www.gnu.org/software/autoconf/&amp;gt; - version 2.59   or higher
+- Automake  &amp;lt;http://www.gnu.org/software/automake/&amp;gt; - version 1.11.1 or higher
+- libtool   &amp;lt;http://www.gnu.org/software/libtool/&amp;gt;  - version 2.2.10 or higher. 
+
+Note please try to install/build official packages for your system.
+If these programs are not available refer to the above site for
+instruction for installing it.
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..f41e365
--- /dev/null
+++ b/autogen.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -0,0 +1,200 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
+#!/bin/sh
+#
+# $Id$
+# autogen.sh: autogen.sh script for clamav projects
+#
+# Copyright (c) 2010-2011 Elia Pinto &amp;lt;gitter.spiros&amp;lt; at &amp;gt;gmail.com&amp;gt;
+#
+# This program have the same copyright notice as clamav
+# itself
+#
+# Global Function and Variables
+#
+_PROGNAME="$0"
+#
+red=; grn=; lgn=; blu=; std=; 
+test "X$$TERM" != Xdumb \
+&amp;amp;&amp;amp;  test -t 1 2&amp;gt;/dev/null  \
+&amp;amp;&amp;amp; { \
+  red='[0;31m'; \
+  grn='[0;32m'; \
+  lgn='[1;32m'; \
+  blu='[1;34m'; \
+  std='[m'; \
+}
+
+Die()    {
+        color="$red"
+echo "${color}${_PROGNAME}: Error: $&amp;lt; at &amp;gt;${std}" &amp;gt;&amp;amp;2
+exit 1
+}
+
+Notice() {
+        color="$grn"
+echo "${color}${_PROGNAME}: $&amp;lt; at &amp;gt;${std}" 
+}
+
+
+# Function Used for checking the Version Used for building
+# 
+# Note this deviates from the version comparison in automake
+# in that it treats 1.5 &amp;lt; 1.5.0, and treats 1.4.4a &amp;lt; 1.4-p3a
+# but this should suffice as we won't be specifying old
+# version formats or redundant trailing .0 in bootstrap.conf.
+# If we did want full compatibility then we should probably
+# use m4_version_compare from autoconf.
+sort_ver() { # sort -V is not generally available
+  ver1="$1"
+  ver2="$2"
+
+  # split on '.' and compare each component
+  i=1
+  while : ; do
+    p1=$(echo "$ver1" | cut -d. -f$i)
+    p2=$(echo "$ver2" | cut -d. -f$i)
+    if [ ! "$p1" ]; then
+      echo "$1 $2"
+      break
+    elif [ ! "$p2" ]; then
+      echo "$2 $1"
+      break
+    elif [ ! "$p1" = "$p2" ]; then
+      if [ "$p1" -gt "$p2" ] 2&amp;gt;/dev/null; then # numeric comparison
+        echo "$2 $1"
+      elif [ "$p2" -gt "$p1" ] 2&amp;gt;/dev/null; then # numeric comparison
+        echo "$1 $2"
+      else # numeric, then lexicographic comparison
+        lp=$(printf "$p1\n$p2\n" | LANG=C sort -n | tail -n1)
+        if [ "$lp" = "$p2" ]; then
+          echo "$1 $2"
+        else
+          echo "$2 $1"
+        fi
+      fi
+      break
+    fi
+    i=$(($i+1))
+  done
+}
+
+get_version() {
+  app=$1
+
+  $app --version &amp;gt;/dev/null 2&amp;gt;&amp;amp;1 || return 1
+
+  $app --version 2&amp;gt;&amp;amp;1 |
+  sed -n '# extract version within line
+          s/.*[v ]\{1,\}\([0-9]\{1,\}\.[.a-z0-9-]*\).*/\1/
+          t done
+
+          # extract version at start of line
+          s/^\([0-9]\{1,\}\.[.a-z0-9-]*\).*/\1/
+          t done
+
+          d
+
+          :done
+          #the following essentially does s/5.005/5.5/
+          s/\.0*\([1-9]\)/.\1/g
+          p
+          q'
+}
+
+check_versions() {
+  ret=0
+
+  while read app req_ver; do
+    # Honor $APP variables ($TAR, $AUTOCONF, etc.)
+    appvar=`echo $app | tr '[a-z]' '[A-Z]'`
+    test "$appvar" = TAR &amp;amp;&amp;amp; appvar=AMTAR
+    eval "app=\${$appvar-$app}"
+    inst_ver=$(get_version $app)
+    if [ ! "$inst_ver" ]; then
+      echo "Error: '$app' not found" &amp;gt;&amp;amp;2
+      ret=1
+    elif [ ! "$req_ver" = "-" ]; then
+      latest_ver=$(sort_ver $req_ver $inst_ver | cut -d' ' -f2)
+      if [ ! "$latest_ver" = "$inst_ver" ]; then
+        echo "Error: '$app' version == $inst_ver is too old" &amp;gt;&amp;amp;2
+        echo "       '$app' version &amp;gt;= $req_ver is required" &amp;gt;&amp;amp;2
+        ret=1
+      fi
+    fi
+  done
+
+  return $ret
+}
+
+print_versions() {
+  echo "Program    Min_version"
+  echo "----------------------"
+  printf "$buildreq"
+  echo "----------------------"
+  # can't depend on column -t
+}
+
+#######################
+# Begin  Bootstrapping
+#######################
+# Build prerequisites
+buildreq="\
+autoconf   2.59
+automake   1.11.1
+libtool   2.2.10
+"
+echo
+Notice "Bootstrapping clamav build system..."
+echo
+# Guess whether we are using configure.ac or configure.in
+if test -f configure.ac; then
+  conffile="configure.ac"
+elif test -f configure.in; then
+  conffile="configure.in"
+else
+  Die "could not find configure.ac or configure.in"
+  echo
+fi
+
+# Libtool
+libtoolize=`which glibtoolize 2&amp;gt;/dev/null`
+case $libtoolize in
+/*) export LIBTOOL=glibtool;;
+*)  libtoolize=`which libtoolize 2&amp;gt;/dev/null`
+case $libtoolize in
+    /*) ;;
+    *)  libtoolize=libtoolize
+    esac
+esac
+
+[ ! -d m4 ]     &amp;amp;&amp;amp; mkdir m4
+[ ! -d config ] &amp;amp;&amp;amp; mkdir config
+
+if test -z "$libtoolize"; then
+Die "libtool not found."
+echo
+else
+  # Check if libtool-ltdl is present 
+  $libtoolize  --force --copy --ltdl &amp;gt;/dev/null 2&amp;gt;&amp;amp;1
+  [ $? -ne 0 ] &amp;amp;&amp;amp; Die "libtool libltdl or the static libraries and header files for development with ltdl are not found."  
+fi
+
+if ! printf "$buildreq" | check_versions; then
+  test -f README-prereq &amp;amp;&amp;amp;
+  echo
+  echo "See README-prereq for notes on obtaining these prerequisite programs:" &amp;gt;&amp;amp;2
+  echo
+  print_versions
+  exit 1
+fi
+
+find . -name "autom4te.cache" | xargs rm -rf 
+
+ls "$po_dir"/*.po 2&amp;gt;/dev/null |
+              sed 's|.*/||; s|\.po$||' &amp;gt; "$po_dir/LINGUAS"
+
+#
+echo
+Notice "done.  Now you can run './configure'."
+#######################
+# End  Bootstrapping
+#######################
&lt;/pre&gt;</description>
    <dc:creator>Elia Pinto</dc:creator>
    <dc:date>2012-04-16T16:15:02</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3767">
    <title>[PATCH] Added a autogen.sh for buildstrap the buildsystem</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3767</link>
    <description>&lt;pre&gt;This patch add a simple autogen.sh for buildstrap
the gnu build system. It also check the minimun version
of the gnu buildtool necessary for clamav.

Signed-off-by: Elia Pinto &amp;lt;gitter.spiros&amp;lt; at &amp;gt;gmail.com&amp;gt;
---
 Makefile.am |    2 +-
 autogen.sh  |  200 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 201 insertions(+), 1 deletions(-)
 create mode 100755 autogen.sh

diff --git a/Makefile.am b/Makefile.am
index 3970e2e..b3c02a5 100644
--- a/Makefile.am
+++ b/Makefile.am
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -19,7 +19,7 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
 ACLOCAL_AMFLAGS=-I m4
 
 SUBDIRS = libltdl libclamav clamscan clamd clamdscan freshclam sigtool clamconf database docs etc clamav-milter test clamdtop clambc unit_tests
-EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in libclamunrar_iface/Makefile.am libclamunrar_iface/Makefile.in UPGRADE COPYING.bzip2 COPYING.lzma COPYING.unrar COPYING.LGPL COPYING.llvm COPYING.file COPYING.zlib COPYING.getopt COPYING.regex COPYING.sha256 platform.h.in clamdscan/clamdscan.map win32
+EXTRA_DIST = FAQ examples BUGS shared libclamav.pc.in libclamunrar_iface/Makefile.am libclamunrar_iface/Makefile.in UPGRADE COPYING.bzip2 COPYING.lzma COPYING.unrar COPYING.LGPL COPYING.llvm COPYING.file COPYING.zlib COPYING.getopt COPYING.regex COPYING.sha256 platform.h.in clamdscan/clamdscan.map win32 README-prereq
 
 bin_SCRIPTS=clamav-config
 
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..f41e365
--- /dev/null
+++ b/autogen.sh
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -0,0 +1,200 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt;
+#!/bin/sh
+#
+# $Id$
+# autogen.sh: autogen.sh script for clamav projects
+#
+# Copyright (c) 2010-2011 Elia Pinto &amp;lt;gitter.spiros&amp;lt; at &amp;gt;gmail.com&amp;gt;
+#
+# This program have the same copyright notice as clamav
+# itself
+#
+# Global Function and Variables
+#
+_PROGNAME="$0"
+#
+red=; grn=; lgn=; blu=; std=; 
+test "X$$TERM" != Xdumb \
+&amp;amp;&amp;amp;  test -t 1 2&amp;gt;/dev/null  \
+&amp;amp;&amp;amp; { \
+  red='[0;31m'; \
+  grn='[0;32m'; \
+  lgn='[1;32m'; \
+  blu='[1;34m'; \
+  std='[m'; \
+}
+
+Die()    {
+        color="$red"
+echo "${color}${_PROGNAME}: Error: $&amp;lt; at &amp;gt;${std}" &amp;gt;&amp;amp;2
+exit 1
+}
+
+Notice() {
+        color="$grn"
+echo "${color}${_PROGNAME}: $&amp;lt; at &amp;gt;${std}" 
+}
+
+
+# Function Used for checking the Version Used for building
+# 
+# Note this deviates from the version comparison in automake
+# in that it treats 1.5 &amp;lt; 1.5.0, and treats 1.4.4a &amp;lt; 1.4-p3a
+# but this should suffice as we won't be specifying old
+# version formats or redundant trailing .0 in bootstrap.conf.
+# If we did want full compatibility then we should probably
+# use m4_version_compare from autoconf.
+sort_ver() { # sort -V is not generally available
+  ver1="$1"
+  ver2="$2"
+
+  # split on '.' and compare each component
+  i=1
+  while : ; do
+    p1=$(echo "$ver1" | cut -d. -f$i)
+    p2=$(echo "$ver2" | cut -d. -f$i)
+    if [ ! "$p1" ]; then
+      echo "$1 $2"
+      break
+    elif [ ! "$p2" ]; then
+      echo "$2 $1"
+      break
+    elif [ ! "$p1" = "$p2" ]; then
+      if [ "$p1" -gt "$p2" ] 2&amp;gt;/dev/null; then # numeric comparison
+        echo "$2 $1"
+      elif [ "$p2" -gt "$p1" ] 2&amp;gt;/dev/null; then # numeric comparison
+        echo "$1 $2"
+      else # numeric, then lexicographic comparison
+        lp=$(printf "$p1\n$p2\n" | LANG=C sort -n | tail -n1)
+        if [ "$lp" = "$p2" ]; then
+          echo "$1 $2"
+        else
+          echo "$2 $1"
+        fi
+      fi
+      break
+    fi
+    i=$(($i+1))
+  done
+}
+
+get_version() {
+  app=$1
+
+  $app --version &amp;gt;/dev/null 2&amp;gt;&amp;amp;1 || return 1
+
+  $app --version 2&amp;gt;&amp;amp;1 |
+  sed -n '# extract version within line
+          s/.*[v ]\{1,\}\([0-9]\{1,\}\.[.a-z0-9-]*\).*/\1/
+          t done
+
+          # extract version at start of line
+          s/^\([0-9]\{1,\}\.[.a-z0-9-]*\).*/\1/
+          t done
+
+          d
+
+          :done
+          #the following essentially does s/5.005/5.5/
+          s/\.0*\([1-9]\)/.\1/g
+          p
+          q'
+}
+
+check_versions() {
+  ret=0
+
+  while read app req_ver; do
+    # Honor $APP variables ($TAR, $AUTOCONF, etc.)
+    appvar=`echo $app | tr '[a-z]' '[A-Z]'`
+    test "$appvar" = TAR &amp;amp;&amp;amp; appvar=AMTAR
+    eval "app=\${$appvar-$app}"
+    inst_ver=$(get_version $app)
+    if [ ! "$inst_ver" ]; then
+      echo "Error: '$app' not found" &amp;gt;&amp;amp;2
+      ret=1
+    elif [ ! "$req_ver" = "-" ]; then
+      latest_ver=$(sort_ver $req_ver $inst_ver | cut -d' ' -f2)
+      if [ ! "$latest_ver" = "$inst_ver" ]; then
+        echo "Error: '$app' version == $inst_ver is too old" &amp;gt;&amp;amp;2
+        echo "       '$app' version &amp;gt;= $req_ver is required" &amp;gt;&amp;amp;2
+        ret=1
+      fi
+    fi
+  done
+
+  return $ret
+}
+
+print_versions() {
+  echo "Program    Min_version"
+  echo "----------------------"
+  printf "$buildreq"
+  echo "----------------------"
+  # can't depend on column -t
+}
+
+#######################
+# Begin  Bootstrapping
+#######################
+# Build prerequisites
+buildreq="\
+autoconf   2.59
+automake   1.11.1
+libtool   2.2.10
+"
+echo
+Notice "Bootstrapping clamav build system..."
+echo
+# Guess whether we are using configure.ac or configure.in
+if test -f configure.ac; then
+  conffile="configure.ac"
+elif test -f configure.in; then
+  conffile="configure.in"
+else
+  Die "could not find configure.ac or configure.in"
+  echo
+fi
+
+# Libtool
+libtoolize=`which glibtoolize 2&amp;gt;/dev/null`
+case $libtoolize in
+/*) export LIBTOOL=glibtool;;
+*)  libtoolize=`which libtoolize 2&amp;gt;/dev/null`
+case $libtoolize in
+    /*) ;;
+    *)  libtoolize=libtoolize
+    esac
+esac
+
+[ ! -d m4 ]     &amp;amp;&amp;amp; mkdir m4
+[ ! -d config ] &amp;amp;&amp;amp; mkdir config
+
+if test -z "$libtoolize"; then
+Die "libtool not found."
+echo
+else
+  # Check if libtool-ltdl is present 
+  $libtoolize  --force --copy --ltdl &amp;gt;/dev/null 2&amp;gt;&amp;amp;1
+  [ $? -ne 0 ] &amp;amp;&amp;amp; Die "libtool libltdl or the static libraries and header files for development with ltdl are not found."  
+fi
+
+if ! printf "$buildreq" | check_versions; then
+  test -f README-prereq &amp;amp;&amp;amp;
+  echo
+  echo "See README-prereq for notes on obtaining these prerequisite programs:" &amp;gt;&amp;amp;2
+  echo
+  print_versions
+  exit 1
+fi
+
+find . -name "autom4te.cache" | xargs rm -rf 
+
+ls "$po_dir"/*.po 2&amp;gt;/dev/null |
+              sed 's|.*/||; s|\.po$||' &amp;gt; "$po_dir/LINGUAS"
+
+#
+echo
+Notice "done.  Now you can run './configure'."
+#######################
+# End  Bootstrapping
+#######################
&lt;/pre&gt;</description>
    <dc:creator>Elia Pinto</dc:creator>
    <dc:date>2012-04-16T15:59:32</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3766">
    <title>[PATCH] Add CL_CFLAGS and CL_LDFLAGS macro</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3766</link>
    <description>&lt;pre&gt;These autoconf macros permit to enable a particular
compiler option in a portable way, testing if
the particular compiler version support it and
ignoring the option if it is not supported.

These are derived from gnulib warnings.m4 macro,
but do the check in a little different way.

Signed-off-by: Elia Pinto &amp;lt;gitter.spiros&amp;lt; at &amp;gt;gmail.com&amp;gt;
---
 configure.in    |   13 ++++++++++++-
 m4/acinclude.m4 |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+), 1 deletions(-)

diff --git a/configure.in b/configure.in
index 9ea805c..0cf03da 100644
--- a/configure.in
+++ b/configure.in
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -1568,9 +1568,20 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; WERR_CFLAGS=
 WERR_CFLAGS_MILTER=
 if test "x$enable_distcheckwerror" = "xyes"; then
     if test "$distcheck_enable_flags" = "1"; then
-WERR_COMMON="-Wno-pointer-sign -Werror-implicit-function-declaration -Werror -Wextra -Wall -Wno-error=bad-function-cast -Wbad-function-cast -Wcast-align -Wendif-labels -Wfloat-equal -Wformat=2 -Wformat-security -Wmissing-declarations -Wmissing-prototypes -Wno-error=missing-prototypes -Wnested-externs -Wno-error=nested-externs -Wpointer-arith -Wstrict-prototypes -Wno-error=strict-prototypes -Wno-switch -Wno-switch-enum -Wundef -Wstrict-overflow=1 -Winit-self -Wmissing-include-dirs -Wstrict-aliasing -Wdeclaration-after-statement -Waggregate-return -Wmissing-format-attribute -Wno-error=missing-format-attribute -Wno-error=type-limits -Wno-error=unused-but-set-variable -Wno-error=unused-function -Wno-error=unused-value -Wno-error=unused-variable -Wcast-qual -Wno-error=cast-qual -Wno-error=sig
 n-compare -Wshadow -Wno-error=shadow -Wno-error=uninitialized -fdiagnostics-show-option -Wno-unused-parameter -Wno-error=unreachable-code -Winvalid-pch -Wno-error=invalid-pch -O2 -D_FORTIFY_
 SOURCE=2 -fstack-protector-all -Wstack-protector -Wno-error=aggregate-return"
+WERR_COMMON="-Wno-pointer-sign -Werror-implicit-function-declaration -Werror -Wextra -Wall -Wno-error=bad-function-cast -Wbad-function-cast -Wcast-align -Wendif-labels -Wfloat-equal -Wformat=2 -Wformat-security -Wmissing-declarations -Wmissing-prototypes -Wno-error=missing-prototypes -Wnested-externs -Wno-error=nested-externs -Wpointer-arith -Wstrict-prototypes -Wno-error=strict-prototypes -Wno-switch -Wno-switch-enum -Wundef -Wstrict-overflow=1 -Winit-self -Wmissing-include-dirs -Wstrict-aliasing \
+-Wdeclaration-after-statement -Waggregate-return -Wmissing-format-attribute -Wno-error=missing-format-attribute -Wno-error=type-limits -Wno-error=unused-but-set-variable -Wno-error=unused-function -Wno-error=unused-value -Wno-error=unused-variable -Wcast-qual -Wno-error=cast-qual -Wno-error=sign-compare -Wshadow -Wno-error=shadow -Wno-error=uninitialized -fdiagnostics-show-option -Wno-unused-parameter -Wno-error=unreachable-code -Winvalid-pch -Wno-error=invalid-pch -O2 -D_FORTIFY_SOURCE=2 -fstack-protector-all -Wstack-protector -Wno-error=aggregate-return"
 WERR_CFLAGS="$WERR_COMMON -Wwrite-strings"
+        for c in $WERR_CFLAGS 
+        do
+   cl_CFLAGS_ADD([$c], [CL_CFLAGS])
+        done 
 WERR_CFLAGS_MILTER="$WERR_COMMON -Wno-error=format-nonliteral"
+        for c in $WERR_CFLAGS_MILTER
+        do
+   cl_CFLAGS_ADD([$c], [CL_CFLAGS_MILTER])
+        done 
+        WERR_CFLAGS="$CL_CFLAGS"
+        WERR_CFLAGS_MILTER="$CL_CFLAGS_MILTER"
     fi
 fi
 AC_SUBST([WERR_CFLAGS])
diff --git a/m4/acinclude.m4 b/m4/acinclude.m4
index 981c634..df08d3e 100644
--- a/m4/acinclude.m4
+++ b/m4/acinclude.m4
&amp;lt; at &amp;gt;&amp;lt; at &amp;gt; -886,3 +886,55 &amp;lt; at &amp;gt;&amp;lt; at &amp;gt; AC_DEFUN([CL_MSG_STATUS],
  [test "x$3" = "x"], [AS_ECHO(["$2"])],
  [AS_ECHO(["$2 ($3)"])])
 ])
+
+
+
+# cl_AS_VAR_APPEND(VAR, VALUE)
+# ----------------------------
+# Provide the functionality of AS_VAR_APPEND if Autoconf does not have it.
+m4_ifdef([AS_VAR_APPEND],
+[m4_copy([AS_VAR_APPEND], [cl_AS_VAR_APPEND])],
+[m4_define([cl_AS_VAR_APPEND],
+[AS_VAR_SET([$1], [AS_VAR_GET([$1])$2])])])
+
+# cl_CFLAGS_ADD(PARAMETER, [VARIABLE = CL_CFLAGS])
+# ------------------------------------------------
+# Adds parameter to CL_CFLAGS if the compiler supports it.  For example,
+# cl_CFLAGS_ADD([-Wall],[CL_CFLAGS]).
+AC_DEFUN([cl_CFLAGS_ADD],
+[AS_VAR_PUSHDEF([cl_my_cflags], [cl_cv_warn_$1])dnl
+AC_CACHE_CHECK([whether compiler handles $1], [cl_my_cflags], [
+  save_CFLAGS="$CFLAGS"
+  CFLAGS="${CFLAGS} $1"
+  AC_COMPILE_IFELSE([AC_LANG_PROGRAM([])],
+                    [AS_VAR_SET([cl_my_cflags], [yes])],
+                    [AS_VAR_SET([cl_my_cflags], [no])])
+  CFLAGS="$save_CFLAGS"
+])
+AS_VAR_PUSHDEF([cl_cflags], m4_if([$2], [], [[CL_CFLAGS]], [[$2]]))dnl
+AS_VAR_IF([cl_my_cflags], [yes], [cl_AS_VAR_APPEND([cl_cflags], [" $1"])])
+AS_VAR_POPDEF([cl_cflags])dnl
+AS_VAR_POPDEF([cl_my_cflags])dnl
+m4_ifval([$2], [AS_LITERAL_IF([$2], [AC_SUBST([$2])], [])])dnl
+])
+
+# cl_LDFLAGS_ADD(PARAMETER, [VARIABLE = CL_LDFLAGS])
+# ------------------------------------------------
+# Adds parameter to CL_LDFLAGS if the compiler supports it.  For example,
+# cl_LDFLAGS_ADD([-Wall],[CL_LDFLAGS]).
+AC_DEFUN([cl_LDFLAGS_ADD],
+[AS_VAR_PUSHDEF([cl_my_ldflags], [cl_cv_warn_$1])dnl
+AC_CACHE_CHECK([whether compiler handles $1], [cl_my_ldflags], [
+  save_LDFLAGS="$LDFLAGS"
+  LDFLAGS="${LDFLAGS} $1"
+  AC_LINK_IFELSE([AC_LANG_PROGRAM([])],
+                    [AS_VAR_SET([cl_my_ldflags], [yes])],
+                    [AS_VAR_SET([cl_my_ldflags], [no])])
+  LDFLAGS="$save_LDFLAGS"
+])
+AS_VAR_PUSHDEF([cl_ldflags], m4_if([$2], [], [[CL_LDFLAGS]], [[$2]]))dnl
+AS_VAR_IF([cl_my_ldflags], [yes], [cl_AS_VAR_APPEND([cl_ldflags], [" $1"])])
+AS_VAR_POPDEF([cl_ldflags])dnl
+AS_VAR_POPDEF([cl_my_ldflags])dnl
+m4_ifval([$2], [AS_LITERAL_IF([$2], [AC_SUBST([$2])], [])])dnl
+])
&lt;/pre&gt;</description>
    <dc:creator>Elia Pinto</dc:creator>
    <dc:date>2012-04-16T14:56:43</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3757">
    <title>Using Clamav antivirus engine</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3757</link>
    <description>&lt;pre&gt;Hi all,
I am a first timer regarding using clamav antivirus engine. I presently
use TDM-GCC compiler -Msys for my project. I also have Msys-git installed.
Pl let me know the packages that needs to be installed to solve
the dependencies of clamav, when using TDM-Msys as compiler. Pl let me know
the procedure for installing the same. Kindly help.
Rgds,
Rajeshwari
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>rajeshwari b</dc:creator>
    <dc:date>2012-04-10T12:36:44</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3751">
    <title>I would like to contribute as a developer to theClam-AV project</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3751</link>
    <description>&lt;pre&gt;Hi,

I am interested in contributing as a developer to the clam-av project.

Some background about me:  I have over 14 years of professional (industry)
kernel development experience in Unix like operating systems including
Solaris and FreeBSD. I was a member of the Solaris kernel team at Sun for
over 12 years. I have a lot of experience debugging multi-threaded kernel
code with access only to assembly code. I have very good knowledge of Unix
kernel internals, C and assembly and very strong Unix user-level programming
as well, including Posix threads, POSIX API, generic UNIX API. I have
developed kernel drivers on both Solaris and FreeBSD, system libraries and
utilities on Solaris.

I am willing to work hard and start at the bottom (I.e. contributing bug
fixes etc.)  I am willing to work outside my area of prior experience (for
example Windows or Mac development)

Could you please let me know how I can go about becoming a contributor.

Thanks,
Vikram


_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net&lt;/pre&gt;</description>
    <dc:creator>Vikram Hegde</dc:creator>
    <dc:date>2012-04-09T04:23:42</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3750">
    <title>Flashback</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3750</link>
    <description>&lt;pre&gt;Does ClamAV detect the Flashback malware? I have an old Mac (running
10.4.11) and running clamxav.

Am I protected?

If this is the wrong list, I'm sorry, and please direct me to the correct one.
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>Jeremy Neptune</dc:creator>
    <dc:date>2012-04-08T20:51:49</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3744">
    <title>Can I join the Mac dev of clamAV</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3744</link>
    <description>&lt;pre&gt;Hi Guys,

Cay I join the Mac Dev of clamav?
How can I know something about Mac dev of clamav?

Thanks!
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>boyd yang</dc:creator>
    <dc:date>2012-04-04T14:58:01</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3740">
    <title>Question about wildcards ?? and {n} in signatures</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3740</link>
    <description>&lt;pre&gt;Hello,

I am doing my Msc thesis work in pattern matching, and I am using
ClamAV's signature database.

I've got a question about two specific wildcards that are stated in
the signatures.pdf file (titled "Creating Signatures for ClamAV").

According to the document, the wildcard "{n}" states that n bytes can
be matched. Also, the wildcard "??" states that any one byte can be
matched. I have found some "{1}" wildcards in the database. I assume
that by saying "match n bytes", the meaning is that we can match any n
bytes. If that is the case, what is the difference between "??" and
"{1}" ? Or am I wrong, and {n} means "match the previous byte, n
times"?

Thank you for your time.

Best regards,

-Alexandre Dias
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>Alexandre Dias</dc:creator>
    <dc:date>2012-03-07T00:21:25</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3734">
    <title>I finding GSoC 2011 mentor of the clamav project. Who have a time for mentor role of project?</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3734</link>
    <description>&lt;pre&gt;Hello All,

  Could student send  proposal of GSoC to Clama-dev? Clamav receiving
proposal  from student for years 2012 as link [
http://wiki.clamav.net/bin/view/Main/GoogleSummerOfCode2011],right?

http://www.google-melange.com/gsoc/homepage/google/gsoc2012

Best Regards,
Chatsiri Rattana.
&lt;/pre&gt;</description>
    <dc:creator>Chatsiri Ratana</dc:creator>
    <dc:date>2012-02-14T03:02:04</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3731">
    <title>Google Summer of Code 2012, Clamav receiving proposal from student, right?</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3731</link>
    <description>&lt;pre&gt;Hello All,

   Could student send  proposal to Clamav? Clamav receiving proposal  
from student for years 2012 as link 
[http://wiki.clamav.net/bin/view/Main/GoogleSummerOfCode2011],right?

http://www.google-melange.com/gsoc/homepage/google/gsoc2012

Best Regards,
Chatsiri Rattana.
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>chatsiri</dc:creator>
    <dc:date>2012-02-13T02:32:07</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3730">
    <title>Communication error while scanning usingclamdscan+clamd</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3730</link>
    <description>&lt;pre&gt;I am receiving "ERROR: Communication error" from clamd while scanning 8.5T NFS-mount in Debian stable using clamdscan. I did not get more informative error messages using argument verbose. This installation is done using packages from:

deb http://ftp.debian.org/debian squeeze-updates main

Which shows in -V as: "ClamAV 0.97.3/14436/Sat Feb 11 23:13:26 2012". Could you give me some ideas how to debug this problem? No error messages from NFS-mount in dmesg. I am using default configuration file for clamd except for directory recursion, which is 30.

I have also tested with: "ClamAV devel-clamav-0.97-434-gd510390/14436/Sat Feb 11 23:13:26 2012" with same results.

- Henri Salo
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>Henri Salo</dc:creator>
    <dc:date>2012-02-12T17:21:01</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3728">
    <title>NEF-file with Dos.Flip.Gen</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3728</link>
    <description>&lt;pre&gt;I found a .NEF-file with vulnerability "Dos.Flip.Gen". What does that malware do? What is usually the best way to investigate virus names, which are used in ClamAV?

DSC_4113.NEF: TIFF image data, big-endian
main.cld:
Dos.Flip.Gen (Clam)=0ebb????????????b2??81c1????eb

I can send the sample if that helps.

- Henri Salo
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>Henri Salo</dc:creator>
    <dc:date>2012-02-12T09:20:05</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3725">
    <title>Plz help me!!</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3725</link>
    <description>&lt;pre&gt;Hi,

I am doing project on clamAV . I have chosen from

http://wiki.clamav.net/bin/view/Main/GoogleSummerOfCode2011
4. DOCX

Add support for parsing docx based MS Office files.

Main purpose is extracting embedded files. You will need to parse the XML,
locate the embedded data, then decode(base64/OLE?) / and decompress
(deflate?) it.

So I did analysis of how clamAV currently scanning a .DOCX file . From my
understanding it treats as a ZIP file and extracts to a temporary folder,
and scanning each xml file and inserted media files such pictures,video
etc.(If I am not correct, kindly explain me).

After that, I tried embedding a EICAR test virus in a picture file by using
Steghide tool. Then I scanned that picture file ,but clamav didnt recognize
it. Reason may be steghide encrypts the virus file.

So I like to know following things,

1. Why clamav didnt recognize encrypted virus?

2.Anyone help me to start my project?(Still now I gone through the source
code using gdb, so I have little knowledge about code)

Awaiting for response.

Regards,

Infant Deepak.
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>infant deepak</dc:creator>
    <dc:date>2012-02-11T16:16:25</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3722">
    <title>How to compile source code of Clamav when improvedsome source code?</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3722</link>
    <description>&lt;pre&gt;Hello All,

I recompiled source code when improved source code of Clamav. I using step
as built source code.
$./configure
$make
$make install
Compile-time very long time for compiling all source code.  How to compile
source code with little time? My view, It should be using little time for
compiling some code.

Best Regards,
Chatsiri Rattana
d\
&lt;/pre&gt;</description>
    <dc:creator>Chatsiri Ratana</dc:creator>
    <dc:date>2012-02-11T08:52:23</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3718">
    <title>Why the function ac_maketrans defined size of arrayis 256?</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3718</link>
    <description>&lt;pre&gt;Hello All,

     I  debug code of clamav.  Aho-Corasick( AC) Algorithms concepts for 
matching between virus and signature files. Step for AC is build trie ( 
keyword tree)  for inserting signature from virus database files. I  
have question in step build tire before matching with input information. 
Why source code in "static int ac_maketrans(struct cli_matcher *root)" 
[1]  define size of array is 256?.
      In addition, Do you using the Depth First Search Algorithm( DFS) 
for building trie?

Thanks you,
Chatsiri Rattana

1) http://goo.gl/bIqdx
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>chatsiri</dc:creator>
    <dc:date>2012-02-02T03:53:19</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3714">
    <title>plz help me!!</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3714</link>
    <description>&lt;pre&gt;Hi everyone,
I am pursuing masters degree. I am doing my project in enhancing clamav
application . can anyone state me, list of enhancement that can be added in
clamav . I will be grateful to you if you can help me as early as possible.
Thanks in advance.

Regards,
Infant Deepak
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>infant deepak</dc:creator>
    <dc:date>2012-01-31T09:21:19</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3712">
    <title>Debug or Execute program show an error Run-Time Check Failure #3 - The variable 'm' is being used without being initialized.</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3712</link>
    <description>&lt;pre&gt;Hello All,

          After i built code of clamscan success, Visual Studio v.2010
debug by pass "-dC:\clamav-dev\win32\Win32\Debug\database\
 C:\clamav-dev\win32\Win32\Debug\clamav_unittest\test\clam-upack.exe"
command line message in order to scan file clam-upack.exe.  Program show
error as below.

'clamscan.exe': Loaded 'C:\clamav-dev\win32\Win32\Debug\clamscan.exe',
Symbols loaded.
'clamscan.exe': Loaded 'C:\Windows\System32\ntdll.dll', Cannot find or open
the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\kernel32.dll', Cannot find or
open the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\KernelBase.dll', Cannot find or
open the PDB file
'clamscan.exe': Loaded 'C:\clamav-dev\win32\Win32\Debug\libclamav.dll',
Symbols loaded.
'clamscan.exe': Loaded 'C:\Windows\System32\ws2_32.dll', Cannot find or
open the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\msvcrt.dll', Cannot find or
open the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\rpcrt4.dll', Cannot find or
open the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\nsi.dll', Cannot find or open
the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\advapi32.dll', Cannot find or
open the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\sechost.dll', Cannot find or
open the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\msvcr100d.dll', Symbols loaded.
'clamscan.exe': Loaded 'C:\Windows\System32\msvcp100d.dll', Symbols loaded.
'clamscan.exe': Loaded 'C:\Windows\System32\psapi.dll', Cannot find or open
the PDB file
'clamscan.exe': Loaded 'C:\Windows\System32\dbghelp.dll', Cannot find or
open the PDB file
'clamscan.exe': Loaded
'C:\clamav-dev\win32\Win32\Debug\libclamunrar_iface.dll', Symbols loaded.
'clamscan.exe': Loaded 'C:\clamav-dev\win32\Win32\Debug\libclamunrar.dll',
Symbols loaded.
Run-Time Check Failure #3 - The variable 'm' is being used without being
initialized.
First-chance exception at 0x1046468e (libclamav.dll) in clamscan.exe:
0xC0000005: Access violation reading location 0xcccccd1c.
Unhandled exception at 0x1046468e (libclamav.dll) in clamscan.exe:
0xC0000005: Access violation reading location 0xcccccd1c.
First-chance exception at 0x1046468e (libclamav.dll) in clamscan.exe:
0xC0000005: Access violation reading location 0xcccccd1c.
Unhandled exception at 0x1046468e (libclamav.dll) in clamscan.exe:
0xC0000005: Access violation reading location 0xcccccd1c.
First-chance exception at 0x1046468e (libclamav.dll) in clamscan.exe:
0xC0000005: Access violation reading location 0xcccccd1c.
Unhandled exception at 0x1046468e (libclamav.dll) in clamscan.exe:
0xC0000005: Access violation reading location 0xcccccd1c.

I not sure, Why "m" variable not initializes in with function
"fmap_check_empty(int fd, long offset, unsigned int len, int * empty)  Line
138 + 0x13 bytes C"?  I copy a stack traces call of function when clamscan
depend on debug mode.You should see below.

"    if(!(mh = CreateFileMapping(m-&amp;gt;fh, NULL, PAGE_READONLY,
(DWORD)((len&amp;gt;&amp;gt;31)&amp;gt;&amp;gt;1), (DWORD)len, NULL))) { "

* empty)  Line 138 + 0x13 bytes C
  libclamav.dll!fmap(int fd, long offset, unsigned int len)  Line 717 +
0x15 bytes C
  libclamav.dll!cli_magic_scandesc(int desc, cli_ctx_tag * ctx)  Line 2613
+ 0xf bytes C
  libclamav.dll!scan_common(int desc, cl_fmap * map, const char * *
virname, unsigned long * scanned, const cl_engine * engine, unsigned int
scanoptions, void * context)  Line 2735 + 0x34 bytes C
  libclamav.dll!cl_scandesc_callback(int desc, const char * * virname,
unsigned long * scanned, const cl_engine * engine, unsigned int
scanoptions, void * context)  Line 2748 + 0x1f bytes C
  clamscan.exe!scanfile(const char * filename, cl_engine * engine, const
optstruct * opts, unsigned int options)  Line 293 + 0x21 bytes C
  clamscan.exe!scanmanager(const optstruct * opts)  Line 849 + 0x18 bytes C
  clamscan.exe!real_main(int argc, char * * argv)  Line 150 + 0x9 bytes C
  clamscan.exe!main(int argc, char * * argv)  Line 58 + 0x75 bytes C
  clamscan.exe!__tmainCRTStartup()  Line 555 + 0x19 bytes C
  clamscan.exe!mainCRTStartup()  Line 371 C

Best Regards,
Chatsiri Rattana
&lt;/pre&gt;</description>
    <dc:creator>Chatsiri Ratana</dc:creator>
    <dc:date>2012-01-22T05:40:21</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3710">
    <title>How to compile unit_test framework on win32 ?</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3710</link>
    <description>&lt;pre&gt;Hello All,

         I built code of clamav success on M$ Virtual C++ 10. I have an 
idea to build the unit_test package of clamav for testing modules. 
Source code in package specify  the Makefile file only which built them 
on Linux OS. Could i try the Cygwin for compiling unit_test package?

Best Regards,
Chatsiri Rattana.
_______________________________________________
http://lurker.clamav.net/list/clamav-devel.html
Please submit your patches to our Bugzilla: http://bugs.clamav.net

&lt;/pre&gt;</description>
    <dc:creator>chatsiri</dc:creator>
    <dc:date>2012-01-10T05:03:04</dc:date>
  </item>
  <item rdf:about="http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3709">
    <title>How can find the filename freshclam.conf?</title>
    <link>http://comments.gmane.org/gmane.comp.security.virus.clamav.devel/3709</link>
    <description>&lt;pre&gt;Hello All,

Error present cannot found file name freshclam.conf when type command line
update a signature of database. It's not like freshclam on Linux base
because provided freshclam.conf for updated signature of database.

C:\clamav-win32\contrib\msvc\Debug\Win32&amp;gt;freshclam.exe
ERROR: Can't open/parse the config file
C:\clamav-win32\contrib\msvc\Debug\Win32\freshclam.conf

Best Regards,
Chatsiri Rattana.

&lt;/pre&gt;</description>
    <dc:creator>Chatsiri Ratana</dc:creator>
    <dc:date>2012-01-08T16:04:53</dc:date>
  </item>
  <textinput rdf:about="http://search.gmane.org/?group=$group=gmane.comp.security.virus.clamav.devel">
    <title>Search Engine</title>
    <description>Search the mailing list at Gmane</description>
    <name>query</name>
    <link>http://search.gmane.org/?group=$group=gmane.comp.security.virus.clamav.devel</link>
  </textinput>
</rdf:RDF>

